summaryrefslogtreecommitdiffstats
path: root/git/git-jogamp-do-branches.sh
diff options
context:
space:
mode:
Diffstat (limited to 'git/git-jogamp-do-branches.sh')
-rwxr-xr-xgit/git-jogamp-do-branches.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/git/git-jogamp-do-branches.sh b/git/git-jogamp-do-branches.sh
new file mode 100755
index 0000000..7929074
--- /dev/null
+++ b/git/git-jogamp-do-branches.sh
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+branchfile=$1
+shift
+remote=$1
+shift
+
+if [ -z "$branchfile" -o -z "$remote" ] ; then
+ echo Usage $0 branchfile remote
+ echo branchfile containing branchnames without ref path
+ echo remote is your remote repo
+ exit 1
+fi
+
+for j in gluegen joal joal-demos jocl jocl-demos jogl jogl-demos ; do
+ cd $j
+ echo
+ echo MODULE $j
+ echo
+ for i in `cat $branchfile` ; do
+ git checkout --track -b $i $remote/$i
+ git checkout master
+ # git branch -r -D $i
+ done
+ cd ..
+done